Skip to main content
POST
/
environments
/
{environmentId}
/
settings
/
captcha
Create captcha settings for the environment
curl --request POST \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/settings/captcha \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "siteKey": "<string>",
  "secretKey": "<string>"
}
'
{
  "enabled": true,
  "siteKey": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json
provider
enum<string>
required

Captcha provider used for verification

Available options:
hcaptcha,
cloudflareTurnstile
siteKey
string

Public site key used to render the captcha widget

secretKey
string

Secret key used to validate the captcha response. Never returned in a response.

Response

Successfully created captcha settings for this environment

Captcha configuration for an environment. The secret key is never returned.

enabled
boolean

Whether captcha verification is enabled

provider
enum<string>

Captcha provider used for verification

Available options:
hcaptcha,
cloudflareTurnstile
siteKey
string

Public site key used to render the captcha widget